# Source code

    001/*
    002 * Licensed to the Apache Software Foundation (ASF) under one
    003 * or more contributor license agreements.  See the NOTICE file
    004 * distributed with this work for additional information
    005 * regarding copyright ownership.  The ASF licenses this file
    006 * to you under the Apache License, Version 2.0 (the
    007 * "License"); you may not use this file except in compliance
    008 * with the License.  You may obtain a copy of the License at
    009 *
    010 * http://www.apache.org/licenses/LICENSE-2.0
    011 *
    012 * Unless required by applicable law or agreed to in writing,
    013 * software distributed under the License is distributed on an
    014 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
    015 * KIND, either express or implied.  See the License for the
    016 * specific language governing permissions and limitations
    017 * under the License.
    018 */
    019package org.apache.commons.compress.archivers;
    020
    021/**
    022 * Archiver related Exception
    023 */
    024public class ArchiveException extends Exception {
    025
    026    /** Serial */
    027    private static final long serialVersionUID = 2772690708123267100L;
    028
    029    /**
    030     * Constructs a new exception with the specified detail message. The cause
    031     * is not initialized.
    032     *
    033     * @param message
    034     *            the detail message
    035     */
    036    public ArchiveException(final String message) {
    037        super(message);
    038    }
    039
    040    /**
    041     * Constructs a new exception with the specified detail message and cause.
    042     *
    043     * @param message
    044     *            the detail message
    045     * @param cause
    046     *            the cause
    047     */
    048    public ArchiveException(final String message, final Exception cause) {
    049        super(message);
    050        this.initCause(cause);
    051    }
    052}